
_main:

;PIC16F877A_AC_dimmer.c,15 :: 		void main()
;PIC16F877A_AC_dimmer.c,17 :: 		OPTION_REG.F6=0;
	BCF        OPTION_REG+0, 6
;PIC16F877A_AC_dimmer.c,18 :: 		INTCON=0XD0;
	MOVLW      208
	MOVWF      INTCON+0
;PIC16F877A_AC_dimmer.c,19 :: 		TRISB.F0=1;         // zero crossing detector Input pin
	BSF        TRISB+0, 0
;PIC16F877A_AC_dimmer.c,20 :: 		TRISC.F6=0;         // triac firing pin
	BCF        TRISC+0, 6
;PIC16F877A_AC_dimmer.c,21 :: 		ADC_init();
	CALL       _ADC_Init+0
;PIC16F877A_AC_dimmer.c,22 :: 		for(;;){}
L_main0:
	GOTO       L_main0
;PIC16F877A_AC_dimmer.c,23 :: 		}
L_end_main:
	GOTO       $+0
; end of _main

_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;PIC16F877A_AC_dimmer.c,26 :: 		void interrupt()     // ISR
;PIC16F877A_AC_dimmer.c,28 :: 		INTCON.F1=0;         // resetting interrupt flag to 0 .
	BCF        INTCON+0, 1
;PIC16F877A_AC_dimmer.c,29 :: 		v=ADC_read(RA0);    // value of v can be manually changed(from 1023 to 0) to produce desired constant output.
	CLRF       FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      _v+0
	MOVF       R0+1, 0
	MOVWF      _v+1
;PIC16F877A_AC_dimmer.c,30 :: 		delay_us(10);
	MOVLW      13
	MOVWF      R13+0
L_interrupt3:
	DECFSZ     R13+0, 1
	GOTO       L_interrupt3
;PIC16F877A_AC_dimmer.c,31 :: 		for(i=0;i<v;i++)    // for loop to produce variable delay.
	CLRF       _i+0
	CLRF       _i+1
L_interrupt4:
	MOVLW      128
	XORWF      _i+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      _v+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt12
	MOVF       _v+0, 0
	SUBWF      _i+0, 0
L__interrupt12:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt5
;PIC16F877A_AC_dimmer.c,33 :: 		delay_us(4);
	MOVLW      5
	MOVWF      R13+0
L_interrupt7:
	DECFSZ     R13+0, 1
	GOTO       L_interrupt7
;PIC16F877A_AC_dimmer.c,31 :: 		for(i=0;i<v;i++)    // for loop to produce variable delay.
	INCF       _i+0, 1
	BTFSC      STATUS+0, 2
	INCF       _i+1, 1
;PIC16F877A_AC_dimmer.c,34 :: 		}
	GOTO       L_interrupt4
L_interrupt5:
;PIC16F877A_AC_dimmer.c,35 :: 		PORTC.F6=1;
	BSF        PORTC+0, 6
;PIC16F877A_AC_dimmer.c,36 :: 		delay_us(50);       // triac firing pulse of 50 microseconds
	MOVLW      66
	MOVWF      R13+0
L_interrupt8:
	DECFSZ     R13+0, 1
	GOTO       L_interrupt8
	NOP
;PIC16F877A_AC_dimmer.c,37 :: 		PORTC.F6=0;
	BCF        PORTC+0, 6
;PIC16F877A_AC_dimmer.c,39 :: 		}
L_end_interrupt:
L__interrupt11:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt
